created: '2019-07-15T12:06:24.073686Z'
digest: 0fd051ef07ffaee906c7178f35f798ba4504323f90e8a7768aa2c9ab87860dd8
id: 26c1e061-ce52-4667-b46a-0dff29b25dee
inputs:
- name: inputs
outputs:
- data: steps.5.produce
  name: output predictions
schema: https://metadata.datadrivendiscovery.org/schemas/v0/pipeline.json
steps:
- arguments:
    inputs:
      data: inputs.0
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: a141e6821de7ae586968b0986237745a5510850e6940cf946db9d50d3828b030
    id: 4b42ce1e-9b98-4a25-b68e-fad13311eb65
    name: Extract a DataFrame from a Dataset
    python_path: d3m.primitives.data_transformation.dataset_to_dataframe.Common
    version: 0.3.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.0.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: d95eb0ea8a5e6f9abc0965a97e9c4f5d8f74a3df591c11c4145faea3e581cd06
    id: d510cb7a-1782-4f51-b44c-58f0236e47c7
    name: Parses strings into their types
    python_path: d3m.primitives.data_transformation.column_parser.DataFrameCommon
    version: 0.5.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.1.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 10297ac37a2778a43d053387b42925c6b92de319bb6e0dd522ff4cbc9617e226
    id: 6c5dcfa3-1f87-4066-b16a-88c9c971f6e3
    name: Single Table Deep Feature Synthesis
    python_path: d3m.primitives.feature_construction.deep_feature_synthesis.SingleTableFeaturization
    version: 0.6.1
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.2.produce
      type: CONTAINER
  hyperparams:
    use_semantic_types:
      data: true
      type: VALUE
  outputs:
  - id: produce
  primitive:
    digest: d6902b0ef72b4cd6fc5f79054f7a534404c708e1244e94a2713a9dd525c78eed
    id: d016df89-de62-3c53-87ed-c06bb6a23cde
    name: sklearn.impute.SimpleImputer
    python_path: d3m.primitives.data_cleaning.imputer.SKlearn
    version: 2019.6.7
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.3.produce
      type: CONTAINER
    outputs:
      data: steps.1.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: f1edce990f367277143b5d9bd8f7f42c52c753b611c4512741fa5506b7a26b00
    id: cdbb80e4-e9de-4caa-a710-16b5d727b959
    name: XGBoost GBTree regressor
    python_path: d3m.primitives.regression.xgboost_gbtree.DataFrameCommon
    version: 0.1.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.4.produce
      type: CONTAINER
    reference:
      data: steps.1.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 96382129c2d9e87a2c0ab0b477b410947e5644d4dfae24e905d16a72d32dc41b
    id: 8d38b340-f83f-4877-baaa-162f8e551736
    name: Construct pipeline predictions output
    python_path: d3m.primitives.data_transformation.construct_predictions.DataFrameCommon
    version: 0.3.0
  type: PRIMITIVE
